This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 348731 - (CVE-2007-5623) CVE-2007-5623 nagios-plugins check_snmp possible buffer overflow
CVE-2007-5623 nagios-plugins check_snmp possible buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
source=gentoo,reported=20071018,publi...
: Reopened, Security
Depends On: 445569
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 09:31 EDT by Tomas Hoger
Modified: 2008-09-29 00:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.8-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 00:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-23 09:31:45 EDT
Stack-based buffer overflow vulnerability was discovered in the way check_snmp
parses output of snmpget command.  Long reply from malicious SNMP server may
cause check_snmp to crash or possible execute code.

Problem is reported here:

https://sourceforge.net/tracker/?func=detail&atid=397597&aid=1815362&group_id=29880

SF.net contains patch proposed by reporter, but it has not yet been accepted to
upstream CVS/SVN.
Comment 1 Lubomir Kundrak 2007-11-01 12:30:32 EDT
Needs fixing also in F8 and devel.
Ping on this.
Comment 2 Fedora Update System 2007-11-01 17:14:13 EDT
nagios-plugins-1.4.8-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Lubomir Kundrak 2007-11-01 19:11:05 EDT
Mike: Thanks for the package.
Reopening this to track fixing in Fedora 8.
Comment 4 Fedora Update System 2007-11-06 11:13:15 EST
nagios-plugins-1.4.8-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Kevin Fenzi 2007-11-12 15:44:46 EST
Could we also get epel4/epel5 updates please? 

Let me know when you have build them and I can push to stable for them... 
Comment 7 Mike McGrath 2008-09-29 00:42:52 EDT
Sorry guys, this one slipped through the cracks, its long been fixed in epel as well.

Note You need to log in before you can comment on or make changes to this bug.